Loading...
Searching...
No Matches
RDKit::MolOps::details Namespace Reference

## Functions

RDKIT_GRAPHMOL_EXPORT void | KekulizeFragment (RWMol &mol, const boost::dynamic_bitset<> &atomsToUse, boost::dynamic_bitset<> bondsToUse, bool markAtomsBonds=true, bool canonical=true, unsigned int maxBackTracks=100)
| not recommended for use in other code
RDKIT_GRAPHMOL_EXPORT std::vector< int > | hapticBondEndpoints (const Bond *bond)
RDKIT_GRAPHMOL_EXPORT unsigned int | addExplicitAttachmentPoint (RWMol &mol, unsigned int atomIdx, unsigned int val, bool addAsQuery=true, bool addCoords=true)
RDKIT_GRAPHMOL_EXPORT bool | isAttachmentPoint (const Atom *atom, bool markedOnly=true)
| returns whether or not an atom is an attachment point

## Function Documentation

## addExplicitAttachmentPoint()

RDKIT_GRAPHMOL_EXPORT unsigned int RDKit::MolOps::details::addExplicitAttachmentPoint | ( | RWMol & | mol,
|  | unsigned int | atomIdx,
|  | unsigned int | val,
|  | bool | addAsQuery = true,
|  | bool | addCoords = true )

attachment points encoded as attachPt properties are added to the graph as dummy atoms

Parameters

  mol | the molecule of interest
  atomIdx | the index of the atom to which the attachment point should be added
  val | the attachment point value. Should be 1 or 2
  addAsQueries | if true, the dummy atoms will be added as null queries (i.e. they will match any atom in a substructure search)
  addCoords | if true and the molecule has one or more conformers, positions for the attachment points will be added to the conformer(s).

References RDKIT_GRAPHMOL_EXPORT.

## hapticBondEndpoints()

RDKIT_GRAPHMOL_EXPORT std::vector< int > RDKit::MolOps::details::hapticBondEndpoints | ( | const Bond * | bond | ) |

References RDKIT_GRAPHMOL_EXPORT.

## isAttachmentPoint()

RDKIT_GRAPHMOL_EXPORT bool RDKit::MolOps::details::isAttachmentPoint | ( | const Atom * | atom,
|  | bool | markedOnly = true )

returns whether or not an atom is an attachment point

Parameters

  mol | the molecule of interest
  markedOnly | if true, only dummy atoms with the _fromAttachPoint property will be collapsed

In order for a dummy atom to be considered for collapsing it must have:

- degree 1 with a single or unspecified bond
- the bond to it can not be wedged
- either no query or be an AtomNullQuery

References RDKIT_GRAPHMOL_EXPORT.

## KekulizeFragment()

RDKIT_GRAPHMOL_EXPORT void RDKit::MolOps::details::KekulizeFragment | ( | RWMol & | mol,
|  | const boost::dynamic_bitset<> & | atomsToUse,
|  | boost::dynamic_bitset<> | bondsToUse,
|  | bool | markAtomsBonds = true,
|  | bool | canonical = true,
|  | unsigned int | maxBackTracks = 100 )

not recommended for use in other code

References RDKIT_GRAPHMOL_EXPORT.